Bug 167513 - NullPointerException in java.awt.image.ComponentColorModel constructor
NullPointerException in java.awt.image.ComponentColorModel constructor
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-03 16:55 EDT by Ivan Gyurdiev
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-05 15:03:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 23736 None None None Never

  None (edit)
Description Ivan Gyurdiev 2005-09-03 16:55:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b3) Gecko/20050827 Fedora/1.1-0.2.8.deerpark.alpha2 Firefox/1.0+

Description of problem:
The second constructor invokes the first one with a null argument for bits,
causing the exception.

Exception in thread "main" java.lang.NullPointerException
   at java.awt.image.ComponentColorModel.sum(int[]) (/usr/lib/libgcj.so.6.0.0)
   at java.awt.image.ComponentColorModel.ComponentColorModel(java.awt.color.ColorSpace, int[], boolean, boolean, int, int) (/usr/lib/libgcj.so.6.0.0)
   at java.awt.image.ComponentColorModel.ComponentColorModel(java.awt.color.ColorSpace, boolean, boolean, int, int) (/usr/lib/libgcj.so.6.0.0)
...



Version-Release number of selected component (if applicable):
gcc-4.0.1-11

How reproducible:
Always

Steps to Reproduce:
1. Construct a ComponentColorModel using the second constructor.

  

Additional info:
Comment 1 Jakub Jelinek 2005-09-05 03:09:58 EDT
Please provide a self-contained testcase.
Comment 2 Ivan Gyurdiev 2005-09-05 03:31:20 EDT
import java.awt.color.ColorSpace;
import java.awt.image.ComponentColorModel;
import java.awt.image.DataBuffer;
import java.awt.Transparency;

public class test {

  public static void main(String[] args) {
    new ComponentColorModel(
      ColorSpace.getInstance(ColorSpace.CS_sRGB),
      false,
      true,
      Transparency.OPAQUE,
      DataBuffer.TYPE_FLOAT);
  }
}
Comment 3 Tom Tromey 2005-09-05 12:41:09 EDT
I filed this in the classpath bugzilla.

Note You need to log in before you can comment on or make changes to this bug.